### Constructor

# RB TrackTransferBatch new

#### Declaration [src]

    RBTrackTransferBatch*
    rb_track_transfer_batch_new (
      GstEncodingTarget* target,
      GSettings* settings,
      GObject* source,
      GObject* destination,
      GObject* queue
    )

#### Description [src]

Creates a new transfer batch with the specified encoding target. If no target is specified, the default target will be used with the user’s preferred encoding type.

One or more entries must be added to the batch (using #rb_track_transfer_batch_add) before the batch can be started (#rb_track_transfer_manager_start_batch).

#### Parameters

`target`

  Type: `GstEncodingTarget`

  A `GstEncodingTarget` describing allowable encodings (or NULL for defaults).

  The data is owned by the caller of the function.

`settings`

  Type: `GSettings`

  No description available.

  The data is owned by the caller of the function.

`source`

  Type: `GObject`

  The `RBSource` from which the entries are to be transferred.

  The data is owned by the caller of the function.

`destination`

  Type: `GObject`

  The `RBSource` to which the entries are to be transferred.

  The data is owned by the caller of the function.

`queue`

  Type: `GObject`

  The `RBTrackTransferQueue` instance.

  The data is owned by the caller of the function.

#### Return value

Type: `RBTrackTransferBatch`

New `RBTrackTransferBatch` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.